<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.2) on Sun Apr 12 19:31:53 EEST 2020 -->
<title>Uses of Class model.Product</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-12">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class model.Product";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Product.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class model.Product" class="title">Uses of Class<br>model.Product</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../Product.html" title="class in model">Product</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#bll">bll</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#dao">dao</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="bll">
<!--   -->
</a>
<h3>Uses of <a href="../Product.html" title="class in model">Product</a> in <a href="../../bll/package-summary.html">bll</a></h3>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../bll/package-summary.html">bll</a> that return <a href="../Product.html" title="class in model">Product</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../Product.html" title="class in model">Product</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Product_bll.</span><code><span class="memberNameLink"><a href="../../bll/Product_bll.html#findProductByName(java.lang.String)">findProductByName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">se cauta un produs dupa nume</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../bll/package-summary.html">bll</a> that return types with arguments of type <a href="../Product.html" title="class in model">Product</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../Product.html" title="class in model">Product</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Product_bll.</span><code><span class="memberNameLink"><a href="../../bll/Product_bll.html#findAll()">findAll</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../bll/package-summary.html">bll</a> with parameters of type <a href="../Product.html" title="class in model">Product</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Product_bll.</span><code><span class="memberNameLink"><a href="../../bll/Product_bll.html#deleteProduct(model.Product)">deleteProduct</a></span>&#8203;(<a href="../Product.html" title="class in model">Product</a>&nbsp;p)</code></th>
<td class="colLast">
<div class="block">se sterge produsul dorit</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Product_bll.</span><code><span class="memberNameLink"><a href="../../bll/Product_bll.html#insertProduct(model.Product)">insertProduct</a></span>&#8203;(<a href="../Product.html" title="class in model">Product</a>&nbsp;p)</code></th>
<td class="colLast">
<div class="block">se introduce un produs in depozit</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Product_bll.</span><code><span class="memberNameLink"><a href="../../bll/Product_bll.html#updateProduct(model.Product)">updateProduct</a></span>&#8203;(<a href="../Product.html" title="class in model">Product</a>&nbsp;p)</code></th>
<td class="colLast">
<div class="block">se modifica stockul unui produs</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section role="region"><a id="dao">
<!--   -->
</a>
<h3>Uses of <a href="../Product.html" title="class in model">Product</a> in <a href="../../dao/package-summary.html">dao</a></h3>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../dao/package-summary.html">dao</a> that return <a href="../Product.html" title="class in model">Product</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../Product.html" title="class in model">Product</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Product_dao.</span><code><span class="memberNameLink"><a href="../../dao/Product_dao.html#findByname(java.lang.String)">findByname</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../dao/package-summary.html">dao</a> that return types with arguments of type <a href="../Product.html" title="class in model">Product</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../Product.html" title="class in model">Product</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Product_dao.</span><code><span class="memberNameLink"><a href="../../dao/Product_dao.html#findAll()">findAll</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../dao/package-summary.html">dao</a> with parameters of type <a href="../Product.html" title="class in model">Product</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Product_dao.</span><code><span class="memberNameLink"><a href="../../dao/Product_dao.html#delete(model.Product)">delete</a></span>&#8203;(<a href="../Product.html" title="class in model">Product</a>&nbsp;product)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Product_dao.</span><code><span class="memberNameLink"><a href="../../dao/Product_dao.html#insert(model.Product)">insert</a></span>&#8203;(<a href="../Product.html" title="class in model">Product</a>&nbsp;product)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Product_dao.</span><code><span class="memberNameLink"><a href="../../dao/Product_dao.html#update(model.Product)">update</a></span>&#8203;(<a href="../Product.html" title="class in model">Product</a>&nbsp;product)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Product.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
